
#include <ntddk.h>

#include "hook.h"


/**
 * Driver exit point
 */
VOID DriverUnload(IN PDRIVER_OBJECT DriverObject)
{
    //Unhook
    UnHook();

    DbgPrint("================================================\n");
    DbgPrint("| GoRing0 Driver unloaded %s %s |\n", __DATE__, __TIME__);
    DbgPrint("================================================\n\n");
}



//------------------------------------------------------------------------
// Function: DriverEntry
//
// Description: Driver entry point
//------------------------------------------------------------------------
NTSTATUS DriverEntry(IN PDRIVER_OBJECT DriverObject, IN PUNICODE_STRING RegistryPath)
{
    //Set the exit point and the IOCTLs function
    DriverObject->DriverUnload = DriverUnload;

    DbgPrint("\n==============================================\n");
    DbgPrint("| GoRing0 Driver loaded %s %s |\n", __DATE__, __TIME__);
    DbgPrint("==============================================\n");
    
    Hook();
  
    return 0;
}

